## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/contour-terminal/contour
Version:        0.6.1.7494
%forgemeta

Name:           contour-terminal
Release:        %autorelease
Summary:        Modern C++ Terminal Emulator
License:        Apache-2.0
URL:            %{forgeurl}
Source:         %{forgesource}

ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules
BuildRequires:  fmt-devel
BuildRequires:  guidelines-support-library-devel
BuildRequires:  range-v3-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  libxcb-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  harfbuzz-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libutempter-devel
BuildRequires:  pkgconfig(libssh2)

BuildRequires:  libunicode-devel
BuildRequires:  cmake(boxed-cpp)
BuildRequires:  cmake(reflection-cpp)

# provides tic
BuildRequires:  ncurses

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  catch-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Core5Compat)

Requires:       qt6-qt5compat
Requires:       hicolor-icon-theme
Requires:       kf5-kservice
Requires:       ncurses-term

%description
Contour is a modern and actually fast, modal, virtual terminal emulator,
for everyday use. It is aiming for power users with a modern feature mindset.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCONTOUR_TESTING=ON \

%cmake_build

%install
%cmake_install

rm %{buildroot}%{_datadir}/contour/LICENSE.txt
rm %{buildroot}%{_datadir}/contour/README.md
# already included in ncurses-term package
rm %{buildroot}%{_datadir}/terminfo/c/contour

%check
%ctest
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/contour
%{_datadir}/applications/*.desktop
%{_datadir}/kservices5/ServiceMenus/*.desktop
%dir %{_datadir}/contour
%dir %{_datadir}/contour/shell-integration
%{_datadir}/contour/shell-integration/shell-integration.bash
%{_datadir}/contour/shell-integration/shell-integration.fish
%{_datadir}/contour/shell-integration/shell-integration.tcsh
%{_datadir}/contour/shell-integration/shell-integration.zsh
%{_datadir}/icons/hicolor/*/apps/*.png
%{_metainfodir}/*.xml

%changelog
## START: Generated by rpmautospec
* Wed Jan 01 2025 topazus <topazus@outlook.com> - 0.6.1.7494-2
- Fix directory ownership

* Wed Jan 01 2025 topazus <topazus@outlook.com> - 0.6.1.7494-1
- 0.6.1.7494

* Fri Oct 25 2024 Orion Poplawski <orion@nwra.com> - 0.4.3.6442-11
- Rebuild for yaml-cpp 0.8

* Fri Aug 02 2024 topazus <topazus@outlook.com> - 0.4.3.6442-10
- bump to the latest commmit; fix build for fmt 11

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3.6442-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 topazus <topazus@outlook.com> - 0.4.3.6442-8
- bump to git snapshot version; prepare for f41 mass rebuild

* Tue May 21 2024 Jan Grulich <jgrulich@redhat.com> - 0.4.3.6442-7
- Rebuild (qt6)

* Thu Apr 04 2024 Jan Grulich <jgrulich@redhat.com> - 0.4.3.6442-6
- Rebuild (qt6)

* Fri Mar 08 2024 Felix Wang <topazus@outlook.com> - 0.4.3.6442-5
- enable packit only on fedora-rawhide

* Thu Mar 07 2024 Felix Wang <topazus@outlook.com> - 0.4.3.6442-4
- add missing dependency of qt6-qt5compat

* Wed Feb 28 2024 Felix Wang <topazus@outlook.com> - 0.4.3.6442-3
- require ncurses-term package

* Wed Feb 28 2024 Felix Wang <topazus@outlook.com> - 0.4.3.6442-2
- remove terminfo file; add more detailed description

* Sun Feb 04 2024 Packit <hello@packit.dev> - 0.4.3.6442-1
- [packit] 0.4.3.6442 upstream release
- Resolves rhbz#2262699

* Sun Feb 04 2024 topazus <topazus@outlook.com> - 0.4.2.6429-1
- update to 0.4.2.6429, rhbz#2262548

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1.6292-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1.6292-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 01 2024 Packit <hello@packit.dev> - 0.4.1.6292-1
- [packit] 0.4.1.6292 upstream release
- Resolves rhbz#2256368

* Mon Jan 01 2024 topazus <topazus@outlook.com> - 0.4.0.6245-4
- fix for unexisted file with new release 0.4.1.6292

* Wed Dec 20 2023 topazus <topazus@outlook.com> - 0.4.0.6245-3
- remove the duplicate packit config file

* Wed Dec 20 2023 Maja Massarini <mmassari@redhat.com> - 0.4.0.6245-2
- Add upstream_tag_template in .packit.yaml

* Wed Dec 20 2023 topazus <topazus@outlook.com> - 0.4.0.6245-1
- update to 0.4.0.6245; rhbz#2255319

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.12.262-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 30 2023 topazus <topazus@outlook.com> - 0.3.12.262-5
- not define build target, so rebuild against fmt 10

* Wed Jun 28 2023 topazus <topazus@outlook.com> - 0.3.12.262-4
- Fix build with fmt 10

* Wed Jun 28 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 0.3.12.262-3
- Rebuilt due to fmt 10 update.

* Sun Jun 18 2023 topazus <topazus@outlook.com> - 0.3.12.262-2
- add Packit CI

* Tue May 30 2023 topazus <topazus@outlook.com> - 0.3.12.262-1
- update to 0.3.12.262

* Sat Mar 11 2023 topazus <topazus@outlook.com> - 0.3.11.258-2
- fix for catch version

* Wed Mar 08 2023 topazus <topazus@outlook.com> - 0.3.11.258-1
- Initial import (rhbz#2174384)
## END: Generated by rpmautospec
